import request from '@/utils/request'

// 获取区下拉
export function bigDataHcAreaInfo(query) {
    return request({
        url: '/bigData/hc/hcAreaInfo',
        method: 'get',
        params: query
    })
}


// 获取乡镇下拉
export function bigDataHcCountyInfo(query) {
    return request({
        url: '/bigData/hc/hcCountyInfo',
        method: 'get',
        params: query
    })
}

//获取村级下拉
export function bigDataHcVillageInfo(query) {
    return request({
        url: '/bigData/hc/hcVillageInfo',
        method: 'get',
        params: query
    })
}

//右侧详情农房农地列表
export function hcBottomSearch(query) {
    return request({
        url: '/bigData/hc/hcBottomSearch',
        method: 'get',
        params: query
    })
}

//上传附件图片
export function commonUpload(query) {
    return request({
        url: '/common/upload',
        method: 'post',
        data: query
    })
}

//农房新增
export function houseAdd(query) {
    return request({
        url: '/geo/house/add',
        method: 'post',
        data: query
    })
}
//农房编辑
export function houseEdit(query) {
    return request({
        url: '/geo/house/edit',
        method: 'post',
        data: query
    })
}



//农地新增
export function landAdd(query) {
    return request({
        url: '/geo/land/add',
        method: 'post',
        data: query
    })
}

//农地编辑
export function landEdit(query) {
    return request({
        url: '/geo/land/edit',
        method: 'post',
        data: query
    })
}

//获取区、镇、村地区
export function treeselectByUser(query) {
    return request({
        url: '/system/dept/treeselectByUser',
        method: 'get',
        params: query
    })
}
//获取区、镇、村地区
export function bookListByDeptId(query) {
  return request({
    url: '/finance/book/listByDeptId',
    method: 'get',
    params: query
  })
}


//获取村的经纬度
export function deptGetId(id) {
    return request({
        url: '/system/dept/get/' + id,
        method: 'get',

    })
}

//查询农地地信息
export function getLand(id) {
    return request({
        url: '/geo/land/get/' + id,
        method: 'get',
    })
}

//查询农房信息
export function getHouse(id) {
    return request({
        url: '/geo/house/get/' + id,
        method: 'get',
    })
}

//获取接口地图地址
export function currentLocation(query) {
    return request({
        url: '/bigData/common/currentLocation',
        method: 'get',
        params: query
    })
}

//修改坐标数据同步
export function coordinatesUpdateGeo(parentCode) {
    return request({
        url: '/geo/geo/latAndLon/'+parentCode,
        method: 'get'
    })
}

//删除农房信息
export function houseRemove(id) {
    return request({
        url: '/geo/house/remove/' + id,
        method: 'get',
    })
}

//删除农地信息
export function landRemove(id) {
    return request({
        url: '/geo/land/remove/' + id,
        method: 'get',
    })
}
